/*
 * Lehrstuhl Softwaretechnologie, TU Dresden, Datei Bibliothek.java
 * 
 * Bibliothek-Klasse implementiert eine Bibliothek, die Bcher aufnehmen, suchen
 * und ausleihen kann
 */

public class Bibliothek {

    private Buch[] meineBuecher;

    private int anzahl;

    public Bibliothek() {
        meineBuecher = new Buch[10];
        anzahl = 0;
        System.out.println("Hallo, ich bin eine Bibliothek,"
                + "die 10 Buecher aufnehmen kann!");
    }

    public void aufnehmen(Buch buch) {
        meineBuecher[anzahl] = buch;
        anzahl += 1;
        System.out.println("Ich habe das Buch " + buch + " aufgenommen!");
    }

    public Buch suchen(String titel) {
        Buch b;

        for (int i = 0; i < anzahl; i++) {
            b = meineBuecher[i];
            if (titel.equals(b.getTitel())) {
                System.out.println("Das Buch mit dem Titel " + titel
                        + " existiert in der Bibliothek");
                return b;
            }
        }
        System.out.println("Das Buch mit dem Titel " + titel
                + " existiert nicht in der Bibliothek!");
        return null;
    }

    public void ausleihen(String titel) {
        Buch b = suchen(titel);
        if (b != null) {
            if (!b.getAusleihstatus()) {
                b.setAusleihstatus(true);
            } else {
                System.out.println("Das Buch ist bereits ausgeliehen");
            }
        }
    }
}