/*
 * Lehrstuhl Softwaretechnologie, TU Dresden, Datei Buch.java
 * 
 * Buch-Klasse implementiert ein Buch, welches die Attribute titel und
 * ausleihstatus hat
 */

public class Buch {

    private String titel;

    private boolean ausleihstatus; // true fuer ausgeliehen

    public Buch(String titel) {
        this.titel = titel;
        ausleihstatus = false;
    }

    public String toString() {
        return titel;
    }

    public String getTitel() {
        return titel;
    }

    public boolean getAusleihstatus() {
        return ausleihstatus;
    }

    public void setAusleihstatus(boolean ausgeliehen) {
        ausleihstatus = ausgeliehen;
        if (ausgeliehen) {
            System.out.println("Das Buch " + getTitel() + " ist ausgeliehen.");
        } else {
            System.out.println("Das Buch " + getTitel()
                    + " ist nicht ausgeliehen.");
        }
    }
}